Bug 521919 - rhnpush not putting jdk from scientific linux distro nor scientific updates into spacewalk
Summary: rhnpush not putting jdk from scientific linux distro nor scientific updates i...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.6
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space09
TreeView+ depends on / blocked
 
Reported: 2009-09-08 17:45 UTC by Goolsby
Modified: 2010-03-08 09:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-08 09:27:46 UTC


Attachments (Terms of Use)

Description Goolsby 2009-09-08 17:45:43 UTC
Description of problem:

rhnpush not pushing:

jdk-1.6.0_12-fcs.i586.rpm
jdk-1.6.0_12-fcs.x86_64.rpm
from base repo, nor
jdk-1.6.0_16-fcs.i586.rpm
jdk-1.6.0_16-fcs.x86_64.rpm

Version-Release number of selected component (if applicable):

.6 spacewalk

How reproducible:

100%


Steps to Reproduce:
1.reposync --repoid=sl-base -p /var/www/html/pub/SL5-x86_64 -d -l -g -n > /dev/null

2.rhnpush --nosig -vvv --channel=sl5-base-x86_64 --server=http://localhost/APP --dir=/var/www/html/pub/SL5-x86_64/sl-base/
  
Actual results:
Every rpm except those listed above get pushed into the spacewalk server

Expected results:
All packages should go into the spacewalk server.

Additional info:

Exception Handler Information
Traceback (most recent call last):
File "/usr/share/rhn/server/apacheUploadServer.py", line 107, in _wrapper
ret = function(req)
File "/usr/share/rhn/upload_server/handlers/package_push/package_push.py", line 145, in handler
relative_path=self.rel_package_path, org_id=self.org_id)
File "/usr/share/rhn/server/rhnPackageUpload.py", line 152, in push_package
header_end=header_end, channels=channels)
File "/usr/share/rhn/server/importlib/mpmSource.py", line 210, in create_package
header_end=header_end, channels=channels)
File "/usr/share/rhn/server/importlib/headerSource.py", line 373, in createPackage
channels)
File "/usr/share/rhn/server/importlib/headerSource.py", line 141, in populate
self._populateFiles(header)
File "/usr/share/rhn/server/importlib/headerSource.py", line 153, in _populateFiles
self._populateTag(header, 'files', rpmFile)
File "/usr/share/rhn/server/importlib/headerSource.py", line 207, in _populateTag
hash[k] = v[i]
IndexError: list index out of range

Local variables by frame
Frame _populateTag in /usr/share/rhn/server/importlib/headerSource.py at line 207
hash = <type 'dict'> {'username': 'root', 'lang': ''}
f = <type 'str'> file_mode
i = <type 'int'> 0
k = <type 'str'> name
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>
Class = <type 'classobj'> server.importlib.headerSource.rpmFile
self = <type 'instance'> [<server.importlib.headerSource.rpmBinaryPackage instance; attributes={'siggpg': None, 'build_time': '2009-07-31 17:06:23', 'channels': None, 'package_id': None, 'sigsize': None, 'payload_format': 'cpio', 'header_start': 168L, 'payload_size': '143269364', 'build_host': 'jdk-lin-amd64.sfbay.sun.com', 'package_size': 68418814, 'epoch': '2000', 'version': '1.6.0_16', 'obsoletes': None, 'provides': None, 'sigpgp': None, 'files': [], 'vendor': 'Sun Microsystems, Inc.', 'description': 'The Java Platform Standard Edition Development Kit (JDK) includes both\nthe runtime environment (Java virtual machine, the Java platform classes\nand supporting files) and development tools (compilers, debuggers,\ntool libraries and other tools).\n\nThe JDK is a development environment for building applications, applets\nand components that can be deployed with the Java Platform Standard\nEdition Runtime Environment.\n', 'sigmd5': None, 'source_rpm': 'jdk-1.!
6.0_16-fcs.src.rpm', 'package_group': 'Development/Tools\n', 'last_modified': '2009-09-08 10:57:25', 'cookie': None, 'conflicts': None, 'path': 'redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm', 'arch': 'x86_64', 'header_end': 550344L, 'name': 'jdk', 'license': 'Sun Microsystems Binary Code License (BCL)', 'changelog': None, 'md5sum': 'c0e45ee375bbb3d65cc28163785771d3', 'org_id': 1, 'summary': 'Java(TM) Platform Standard Edition Development Kit\n', 'rpm_version': '3.0.6', 'release': 'fcs', 'requires': None}]
unique_deps = <type 'list'> []
rf = <type 'str'> filemodes
tag = <type 'str'> files
v = <type 'list'> []
ic = <type 'int'> 3396
itemcount = <type 'int'> 3396
fix = <type 'dict'> <ERROR WHILE PRINTING VALUE: string representation too large>

Frame _populateFiles in /usr/share/rhn/server/importlib/headerSource.py at line 153
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>
self = <type 'instance'> [<server.importlib.headerSource.rpmBinaryPackage instance; attributes={'siggpg': None, 'build_time': '2009-07-31 17:06:23', 'channels': None, 'package_id': None, 'sigsize': None, 'payload_format': 'cpio', 'header_start': 168L, 'payload_size': '143269364', 'build_host': 'jdk-lin-amd64.sfbay.sun.com', 'package_size': 68418814, 'epoch': '2000', 'version': '1.6.0_16', 'obsoletes': None, 'provides': None, 'sigpgp': None, 'files': [], 'vendor': 'Sun Microsystems, Inc.', 'description': 'The Java Platform Standard Edition Development Kit (JDK) includes both\nthe runtime environment (Java virtual machine, the Java platform classes\nand supporting files) and development tools (compilers, debuggers,\ntool libraries and other tools).\n\nThe JDK is a development environment for building applications, applets\nand components that can be deployed with the Java Platform Standard\nEdition Runtime Environment.\n', 'sigmd5': None, 'source_rpm': 'jdk-1.!
6.0_16-fcs.src.rpm', 'package_group': 'Development/Tools\n', 'last_modified': '2009-09-08 10:57:25', 'cookie': None, 'conflicts': None, 'path': 'redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm', 'arch': 'x86_64', 'header_end': 550344L, 'name': 'jdk', 'license': 'Sun Microsystems Binary Code License (BCL)', 'changelog': None, 'md5sum': 'c0e45ee375bbb3d65cc28163785771d3', 'org_id': 1, 'summary': 'Java(TM) Platform Standard Edition Development Kit\n', 'rpm_version': '3.0.6', 'release': 'fcs', 'requires': None}]

Frame populate in /usr/share/rhn/server/importlib/headerSource.py at line 141
header_end = <type 'long'> 550344
header_start = <type 'long'> 168
self = <type 'instance'> [<server.importlib.headerSource.rpmBinaryPackage instance; attributes={'siggpg': None, 'build_time': '2009-07-31 17:06:23', 'channels': None, 'package_id': None, 'sigsize': None, 'payload_format': 'cpio', 'header_start': 168L, 'payload_size': '143269364', 'build_host': 'jdk-lin-amd64.sfbay.sun.com', 'package_size': 68418814, 'epoch': '2000', 'version': '1.6.0_16', 'obsoletes': None, 'provides': None, 'sigpgp': None, 'files': [], 'vendor': 'Sun Microsystems, Inc.', 'description': 'The Java Platform Standard Edition Development Kit (JDK) includes both\nthe runtime environment (Java virtual machine, the Java platform classes\nand supporting files) and development tools (compilers, debuggers,\ntool libraries and other tools).\n\nThe JDK is a development environment for building applications, applets\nand components that can be deployed with the Java Platform Standard\nEdition Runtime Environment.\n', 'sigmd5': None, 'source_rpm': 'jdk-1.!
6.0_16-fcs.src.rpm', 'package_group': 'Development/Tools\n', 'last_modified': '2009-09-08 10:57:25', 'cookie': None, 'conflicts': None, 'path': 'redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm', 'arch': 'x86_64', 'header_end': 550344L, 'name': 'jdk', 'license': 'Sun Microsystems Binary Code License (BCL)', 'changelog': None, 'md5sum': 'c0e45ee375bbb3d65cc28163785771d3', 'org_id': 1, 'summary': 'Java(TM) Platform Standard Edition Development Kit\n', 'rpm_version': '3.0.6', 'release': 'fcs', 'requires': None}]
md5sum = <type 'str'> c0e45ee375bbb3d65cc28163785771d3
org_id = <type 'int'> 1
channels = <type 'list'> []
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>
path = <type 'str'> redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm
size = <type 'int'> 68418814

Frame createPackage in /usr/share/rhn/server/importlib/headerSource.py at line 373
header_end = <type 'long'> 550344
header_start = <type 'long'> 168
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>
md5sum = <type 'str'> c0e45ee375bbb3d65cc28163785771d3
org_id = <type 'int'> 1
channels = <type 'list'> []
p = <type 'instance'> [<server.importlib.headerSource.rpmBinaryPackage instance; attributes={'siggpg': None, 'build_time': '2009-07-31 17:06:23', 'channels': None, 'package_id': None, 'sigsize': None, 'payload_format': 'cpio', 'header_start': 168L, 'payload_size': '143269364', 'build_host': 'jdk-lin-amd64.sfbay.sun.com', 'package_size': 68418814, 'epoch': '2000', 'version': '1.6.0_16', 'obsoletes': None, 'provides': None, 'sigpgp': None, 'files': [], 'vendor': 'Sun Microsystems, Inc.', 'description': 'The Java Platform Standard Edition Development Kit (JDK) includes both\nthe runtime environment (Java virtual machine, the Java platform classes\nand supporting files) and development tools (compilers, debuggers,\ntool libraries and other tools).\n\nThe JDK is a development environment for building applications, applets\nand components that can be deployed with the Java Platform Standard\nEdition Runtime Environment.\n', 'sigmd5': None, 'source_rpm': 'jdk-1.!
6.0_16-fcs.src.rpm', 'package_group': 'Development/Tools\n', 'last_modified': '2009-09-08 10:57:25', 'cookie': None, 'conflicts': None, 'path': 'redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm', 'arch': 'x86_64', 'header_end': 550344L, 'name': 'jdk', 'license': 'Sun Microsystems Binary Code License (BCL)', 'changelog': None, 'md5sum': 'c0e45ee375bbb3d65cc28163785771d3', 'org_id': 1, 'summary': 'Java(TM) Platform Standard Edition Development Kit\n', 'rpm_version': '3.0.6', 'release': 'fcs', 'requires': None}]
size = <type 'int'> 68418814
relpath = <type 'str'> redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm

Frame create_package in /usr/share/rhn/server/importlib/mpmSource.py at line 210
header_end = <type 'long'> 550344
header_start = <type 'long'> 168
md5sum = <type 'str'> c0e45ee375bbb3d65cc28163785771d3
org_id = <type 'int'> 1
channels = <type 'list'> []
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>
size = <type 'int'> 68418814
relpath = <type 'str'> redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm

Frame push_package in /usr/share/rhn/server/rhnPackageUpload.py at line 152
header_end = <type 'long'> 550344
force = <type 'int'> 0
header_start = <type 'long'> 168
payload_stream = <type 'file'> <open file '<fdopen>', mode 'r' at 0x2b54d7ec3be8>
payload_size = <type 'int'> 68418814
md5sum = <type 'str'> c0e45ee375bbb3d65cc28163785771d3
org_id = <type 'int'> 1
relative_path = <type 'str'> redhat/1/c0e/jdk/1.6.0_16-fcs/x86_64/c0e45ee375bbb3d65cc28163785771d3/jdk-1.6.0_16-fcs.x86_64.rpm
channels = <type 'list'> []
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>

Frame handler in /usr/share/rhn/upload_server/handlers/package_push/package_push.py at line 145
header_end = <type 'long'> 550344
req = <type 'mp_request'> <mp_request object at 0x2b54d71eabb0>
header_start = <type 'long'> 168
payload_stream = <type 'file'> <open file '<fdopen>', mode 'r' at 0x2b54d7ec3be8>
temp_stream = <type 'file'> <open file '<fdopen>', mode 'w+b' at 0x2b54d7ec3c60>
md5sum = <type 'str'> c0e45ee375bbb3d65cc28163785771d3
ret = <type 'int'> 0
header = <type 'instance'> <rpm.hdr object at 0x2b54d7f674b0>
self = <type 'instance'> <upload_server.handlers.package_push.package_push.PackagePush instance at 0x2b54cdfeeea8>

Frame _wrapper in /usr/share/rhn/server/apacheUploadServer.py at line 125
function = <type 'instancemethod'> <bound method PackagePush.handler of <upload_server.handlers.package_push.package_push.PackagePush instance at 0x2b54cdfeeea8>>
self = <type 'instance'> <server.apacheUploadServer.UploadHandler instance at 0x2b54d780e878>
req = <type 'mp_request'> <mp_request object at 0x2b54d71eabb0>
function_name = <type 'str'> handler

Frame handler in /usr/share/rhn/server/apacheUploadServer.py at line 79
self = <type 'instance'> <server.apacheUploadServer.UploadHandler instance at 0x2b54d780e878>
req = <type 'mp_request'> <mp_request object at 0x2b54d71eabb0>

Frame __call__ in /usr/share/rhn/server/apacheServer.py at line 58
self = <type 'instance'> <server.apacheUploadServer.UploadHandlerWrap instance at 0x2b54d780a128>
req = <type 'mp_request'> <mp_request object at 0x2b54d71eabb0>
f = <type 'instancemethod'> <bound method UploadHandler.handler of <server.apacheUploadServer.UploadHandler instance at 0x2b54d780e878>>

Frame HandlerDispatch in /usr/lib64/python2.4/site-packages/mod_python/apache.py at line 299
req = <type 'mp_request'> <mp_request object at 0x2b54d71eabb0>
config = <type 'mp_table'> {'PythonInterpreter': 'rhn.server.upload', 'PythonPath': 'sys.path+['/usr/share/rhn']'}
self = <type 'instance'> <mod_python.apache.CallBack instance at 0x2b54d73372d8>
object = <type 'instance'> <server.apacheUploadServer.UploadHandlerWrap instance at 0x2b54d780a128>
l = <type 'list'> ['server.apacheUploadServer', 'Handler']
module = <type 'module'> <module 'server.apacheUploadServer' from '/usr/share/rhn/server/apacheUploadServer.pyc'>
hlist = <type 'mp_hlist'> {'handler:'server.apacheUploadServer::Handler','directory':'/PACKAGE-PUSH/','silent':0}
object_str = <type 'str'> Handler
debug = <type 'int'> 0
module_name = <type 'str'> server.apacheUploadServer
pathstring = <type 'str'> sys.path+['/usr/share/rhn']
result = <type 'int'> 500


Environment for PID=355 on exception:
LANG = C
NLS_LANG = english.AL32UTF8
ORACLE_HOME = /opt/oracle
PATH = /sbin:/usr/sbin:/bin:/usr/bin
PERL_BADFREE = 0
PWD = /
SHLVL = 2
TERM = vt100
_ = /usr/sbin/httpd

Comment 1 Goolsby 2009-09-10 11:40:16 UTC
Basically, is this some kind of oracle problem, code problem, or the way the jdk is included in the distribution (some kind of signed key problem), etc..?

Comment 2 Michael Mráka 2010-03-08 09:27:46 UTC
Checking on Spacewalk nightly:

# rhnpush -vvv --nosig -c test-i386 --server=http://localhost/APP jdk-1.6.0_1*i586*rpm
Connecting to http://localhost/APP
url is http://localhost/PACKAGE-PUSH
Result codes: 200 OK
Computing checksum and package Info .This may take sometime ...
Package jdk-1.6.0_12-fcs.i586.rpm Not Found on RHN Server -- Uploading
Uploading package jdk-1.6.0_12-fcs.i586.rpm
Using POST request
Package jdk-1.6.0_16-fcs.i586.rpm Not Found on RHN Server -- Uploading
Uploading package jdk-1.6.0_16-fcs.i586.rpm
Using POST request

# rhnpush -vvv --nosig -c test-x86_64 --server=http://localhost/APP jdk-1.6.0_1*x86_64*rpm
Connecting to http://localhost/APP
url is http://localhost/PACKAGE-PUSH
Result codes: 200 OK
Computing checksum and package Info .This may take sometime ...
Package jdk-1.6.0_12-fcs.x86_64.rpm Not Found on RHN Server -- Uploading
Uploading package jdk-1.6.0_12-fcs.x86_64.rpm
Using POST request
Package jdk-1.6.0_16-fcs.x86_64.rpm Not Found on RHN Server -- Uploading
Uploading package jdk-1.6.0_16-fcs.x86_64.rpm
Using POST request

Seems it has been fixed sometime down the road.


Note You need to log in before you can comment on or make changes to this bug.